<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2017 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<configuration description="Config for CTS Libcore Wycheproof Bouncy Castle test cases">
    <option name="test-suite-tag" value="cts" />
    <option name="config-descriptor:metadata" key="component" value="libcore" />
    <target_preparer class="com.android.tradefed.targetprep.suite.SuiteApkInstaller">
        <option name="cleanup-apks" value="true" />
        <!-- this has just the instrumentation which acts as the tests we want to run -->
        <option name="test-file-name" value="CtsLibcoreWycheproofBCTestCases.apk" />
    </target_preparer>
    <test class="com.android.compatibility.testtype.LibcoreTest" >
        <option name="package" value="android.libcore.cts.wycheproof.bouncycastle" />
        <!-- The individual test cases don't work unless they're run in the
             context of one of the suites, so we have to limit the test
             infrastructure to only running the test suites. -->
        <option name="test-package" value="android.libcore.cts.wycheproof" />
        <option name="instrumentation-arg" key="filter"
                value="com.android.cts.core.runner.ExpectationBasedFilter" />
        <option name="core-expectation" value="/knownfailures.txt" />
        <option name="runtime-hint" value="10m"/>
        <option name="test-timeout" value="600000" />
    </test>
</configuration>
